Obromios Obromios - 3 months ago 10
Sass (Sass) Question

Deprecation warning regarding sass processor on upgrading to rails 4.2.7.1

After upgrading from

rails 4.2.5
to
rails 4.2.7.1
I get the following deprecation warning

DEPRECATION WARNING: SassTemplate is deprecated please use SassProcessor instead (called from _app_views_layouts_application_html_erb__3924964597462090847_70339025036080 at /Users/Chris/Documents/Sites/golf_mentor/app/views/layouts/application.html.erb:11


The relevant line of application.html.erb is



The warning also happens at other points in the code where
stylesheet_link_tag
is called, so it appears to be this tag that causes the problem rather than what is in the css.scss files.

How do I fix this?

Answer

This was caused by using an old version of sassc-rails. Upgrading to version 1.3.0 removed the deprecation warnings.

Comments